/* Remove duplicate elements in an array. */
function removeDuplicates(arr) {
  let uniqueArr = [];
  if (!Array.isArray(arr)) {
    arr = [];
  }
  let theSet = new Set(arr);
  uniqueArr = [...theSet];
  return uniqueArr;
}

/* Finding the common elements in two arrays. */
function findCommonElements(array1, array2) {
    return array1?.filter(el => array2.includes(el));
}

module.exports = {
    removeDuplicates,
    findCommonElements,
}